﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EsempioAtleti
{
    class Atleti
    {
        public delegate void NuovoAtleta(object sender, object param);
        public event NuovoAtleta onNuovoAtleta;

        List<Atleta> atleti = new List<Atleta>();

        public Atleti()
        {

        }

        private void raiseNuovoAtleta()
        {
            object param = new object();
            this.onNuovoAtleta(this, param);
        }

        public void addAtleta(Atleta a)
        {
            atleti.Add(a);
            raiseNuovoAtleta();
        }

        public List<Atleta> getAtleti()
        {
            return atleti;
        }

        public double getMedia()
        {
            double media = 0;
            if (atleti.Count > 0)
            {
                foreach (Atleta a in atleti)
                {
                    media += a.Punti;
                }
                media /= atleti.Count;
            }
            return media;
        }

        public void removeAtleta(int pos)
        {
            atleti.Remove(atleti[pos]);
        }

    }
}
