﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EsempioAtleti
{
    class Program
    {
        static Atleti a = new Atleti();

        static void Main(string[] args)
        {
           
            a.onNuovoAtleta += atletaAggiunto;

            String scelta;

            while (true)
            {

                Console.Write("-- MENU OPZIONI --\n1.Aggiungi\n2.Rimuovi\n3.Stampa\n4.Media\n0.Esci\n> ");
                scelta = Console.ReadLine();

                if (scelta == "0") break;

                if (scelta == "1") aggiungi();

                if (scelta == "2") rimuovi();

                if (scelta == "3") stampa();

                if (scelta == "4") media();

            }

        }

        static void aggiungi()
        {
            Atleta tmp = new Atleta();

            Console.WriteLine("Aggiungi atleta");

            Console.Write("Nome: ");
            tmp.Nome = Console.ReadLine();

            Console.Write("Punteggio: ");
            tmp.Punti = Convert.ToInt32(Console.ReadLine());

            a.addAtleta(tmp);
        }

        static void rimuovi()
        {
            Console.WriteLine("Rimuovi atleta");
            Console.Write("ID: ");
            a.removeAtleta(Convert.ToInt32(Console.ReadLine()));
        }

        static void stampa()
        {
            Console.WriteLine("Elenco atleti");

            int id = 0;
            foreach (Atleta t in a.getAtleti())
            {
                Console.WriteLine("{0} {1} {2}",id++,t.Nome,t.Punti);
            }
        }

        static void media()
        {
            Console.WriteLine("Il punteggio medio è: {0}",a.getMedia());
        }

        private static void atletaAggiunto(object sender, object param)
        {
            Console.WriteLine("Evento atleta aggiunto!");
        }
    }
}
